Subject: Re: bug#7498: 23.2; scheme-mode.el doesn't parse racket file correctly

From: Jean Louis <[email-masked]>
Date: Thu, 19 Nov 2020 08:25:10 +0300

* Stefan Kangas <[email-masked]> [2020-11-19 07:47]:
> Alan Third <[email-masked]> writes:
> 
> > Clément Pit--Claudel <[email-masked]> writes:
> >
> >> On 2016-08-12 15:12, Alan Third wrote:
> >>> Alexander Haeckel <[email-masked]> writes:
> >>>
> >>> that appear to break things, because scheme-mode sees that closing curly
> >>> bracket as a comment. This syntax looks like it’s Racket specific.
> >>
> >> I think this isn't written in "core" Racket; it's Scribble, a dialect
> >> of Racket that's pretty remote from Scheme. IOW, it's not a trivial
> >> fix.
> >
> > I think since it's not really scheme we can't expect scheme-mode to deal
> > with it. It may make more sense to have a separate Racket or Scribble
> > mode (based on Scheme mode, I expect).

scheme-mode allows all kinds of evaluations including with
racket. scheme-program has to be set to racket -i

closing curly bracket on my side is not considered comment.

>From scheme.el:

(defconst scheme-sexp-comment-syntax-table
  (let ((st (make-syntax-table scheme-mode-syntax-table)))
    (modify-syntax-entry ?\; "." st)
    (modify-syntax-entry ?\n " " st)
    (modify-syntax-entry ?#  "'" st)
    st))

How can I reproduce that bug? Please send me example.